Help

Browser Requirements

This Web site has been designed to work with most web browsers. However, we strongly recommend that you use the latest version of FireFox, Chrome, Safari, or Internet Explorer. If you use older browsers, you will notice that some web pages may not render accurately and some features may be compromised.

When launching a selection for the very first time, you will experience a short delay as pages load. The next time you launch this same selection, you will notice a faster loading speed.

Technical Support

If you experience any issues using this Web site, please contact McGraw-Hill Education by submitting a ticket.

Back